Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRVirtualPrintPage.ObjectIDPair

    java.lang.Object
      net.sf.jasperreports.engine.base.JRVirtualPrintPage.ObjectIDPair

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  JRVirtualPrintPage

    public static class JRVirtualPrintPage.ObjectIDPair

extends java.lang.Object
implements java.io.Serializable

Identity objects are those that we want to replace when we devirtualize data. If object A was virtualized, and it is referenced outside the virtualized data, then we want to replace those references with object A', which is the version of the object that has been devirtualized. For example the Serialization mechanism creates a new version of the TextElement we want to be filled, but the bound object map references the original object A until we replace it with the new version A'.

See Also:
  Serialized Form

Constructor Summary
`JRVirtualPrintPage.ObjectIDPair(java.lang.Object o)`

Method Summary
`int` | `getIdentity()` Gets the identity of the object.
`java.lang.Object` | `getObject()` Gets the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRVirtualPrintPage.ObjectIDPair

    public JRVirtualPrintPage.ObjectIDPair(java.lang.Object o)

Method Detail

### getObject

    public java.lang.Object getObject()

  Gets the object.

### getIdentity

    public int getIdentity()

  Gets the identity of the object. The identity is the current object's identity hash code before we deserialize, but when we have deserialized it, the identity is that of the object that was serialized, not that of the newly deserialized object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com